applications_podman_pkgs:
  pkg.installed:
    - pkgs:
      - podman
      - podman-openrc

applications_podman_enable:
  service.enabled:
    - name: podman
    - require:
      - applications_podman_pkgs

applications_podman_rootless_cgroups:
  service.enabled:
    - name: cgroups

applications_podman_user:
  user.present:
    - name: puser
    - uid: 2000
    - shell: /bin/zsh
    - home: /home/puser
    - usergroup: True
    - createhome: True
    - require:
      - applications_podman_pkgs

applications_podman_rootless_modules:
  file.append:
    - name: /etc/modules
    - text:
      - tun
      - fuse

applications_podman_rootless_subgid:
  file.append:
    - name: /etc/subgid
    - text: puser:200000:65536
    - require:
      - applications_podman_user

applications_podman_rootless_subuid:
  file.append:
    - name: /etc/subuid
    - text: puser:200000:65536
    - require:
      - applications_podman_user
